### async_completion

Helper template to deduce the handler type from a CompletionToken, capture a local copy of the handler, and then create an `async_result` for the handler.

    template<
        typename CompletionToken,
        typename... Signatures>
    struct async_completion

##### Types

Name | Description
--- | ---
completion_handler_type | The real handler type to be used for the asynchronous operation.

##### Member Functions

Name | Description
--- | ---
async_completion [constructor] | Constructor.

##### Data Members

Name | Description
--- | ---
completion_handler | A copy of, or reference to, a real handler object.
result | The result of the asynchronous operation's initiating function.

##### Requirements

Header: `asio/async_result.hpp`

Convenience header: `asio.hpp`